/***************************************************************************
 *   Copyright (C) 2006 by Stefan Hirche   *
 *   hirche@astro.univie.ac.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "myrectangle.h"

myrectangle::myrectangle(QCanvas *c)
 : QCanvasRectangle(c)
{
}


myrectangle::~myrectangle()
{
}




/*!
    \fn myrectangle::setState(int value)
 */
void myrectangle::setState(int value)
{
    status=value;
    if (status==2)
     setBrush(QColor(200,200,200));
    else if (status==1)
     setBrush(QColor(50,50,50));
    else if (status==0)
     setBrush(white);
}


/*!
    \fn myrectangle::state()
 */
int myrectangle::state()
{
    return status;
}

