/***************************************************************************
 *   Copyright (C) 2006 by Stefan Hirche   *
 *   hirche@astro.univie.ac.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KLOGICPREF_H_
#define _KLOGICPREF_H_

#include <kdialogbase.h>
#include <qframe.h>

class logikPrefPageOne;
class logikPrefPageTwo;

class logikPreferences : public KDialogBase
{
    Q_OBJECT
public:
    logikPreferences();

private:
    logikPrefPageOne *m_pageOne;
    logikPrefPageTwo *m_pageTwo;
};

class logikPrefPageOne : public QFrame
{
    Q_OBJECT
public:
    logikPrefPageOne(QWidget *parent = 0);
};

class logikPrefPageTwo : public QFrame
{
    Q_OBJECT
public:
    logikPrefPageTwo(QWidget *parent = 0);
};

#endif // _KLOGICPREF_H_
