#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './crtdlg.ui'
**
** Created: Fri Mar 31 13:36:52 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "crtdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a createDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
createDlg::createDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "createDlg" );
    createDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "createDlgLayout"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel3 = new QLabel( this, "textLabel3" );
    layout2->addWidget( textLabel3 );

    width = new QSpinBox( this, "width" );
    width->setMaxValue( 100 );
    width->setLineStep( 5 );
    layout2->addWidget( width );
    layout4->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    textLabel4 = new QLabel( this, "textLabel4" );
    layout3->addWidget( textLabel4 );

    height = new QSpinBox( this, "height" );
    height->setMaxValue( 100 );
    height->setLineStep( 5 );
    layout3->addWidget( height );
    layout4->addLayout( layout3 );
    layout8->addLayout( layout4 );

    ratio = new QCheckBox( this, "ratio" );
    layout8->addWidget( ratio );

    createDlgLayout->addLayout( layout8, 0, 0 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout5->addWidget( textLabel1 );

    imageName = new KURLRequester( this, "imageName" );
    layout5->addWidget( imageName );

    createDlgLayout->addLayout( layout5, 1, 0 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    createButton = new QPushButton( this, "createButton" );
    createButton->setEnabled( FALSE );
    layout10->addWidget( createButton );
    spacer1 = new QSpacerItem( 67, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout10->addItem( spacer1 );

    closeButton = new QPushButton( this, "closeButton" );
    layout10->addWidget( closeButton );

    createDlgLayout->addLayout( layout10, 2, 0 );
    languageChange();
    resize( QSize(254, 188).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( closeButton, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( ratio, SIGNAL( toggled(bool) ), height, SLOT( setDisabled(bool) ) );
    connect( createButton, SIGNAL( clicked() ), this, SLOT( createButton_clicked() ) );
    connect( width, SIGNAL( valueChanged(int) ), this, SLOT( createButton_check() ) );
    connect( height, SIGNAL( valueChanged(int) ), this, SLOT( createButton_check() ) );
    connect( ratio, SIGNAL( stateChanged(int) ), this, SLOT( createButton_check() ) );
    connect( imageName, SIGNAL( textChanged(const QString&) ), this, SLOT( createButton_check() ) );

    // buddies
    textLabel3->setBuddy( width );
    textLabel4->setBuddy( height );
    textLabel1->setBuddy( imageName );
}

/*
 *  Destroys the object and frees any allocated resources
 */
createDlg::~createDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void createDlg::languageChange()
{
    setCaption( tr2i18n( "Create Puzzle" ) );
    textLabel3->setText( tr2i18n( "&Width" ) );
    QToolTip::add( textLabel3, tr2i18n( "Puzzle width" ) );
    QWhatsThis::add( textLabel3, tr2i18n( "Sets the number of <i>grid cells</i> in width used for the created puzzle" ) );
    textLabel4->setText( tr2i18n( "Height" ) );
    QToolTip::add( textLabel4, tr2i18n( "Puzzle height" ) );
    QWhatsThis::add( textLabel4, tr2i18n( "Sets the number of <i>grid cells</i> in height used for the created puzzle" ) );
    ratio->setText( tr2i18n( "&Keep aspect ratio" ) );
    QWhatsThis::add( ratio, tr2i18n( "Check this option if you want the aspect ratio of image and puzzle to be the same. In this case you need only to provide the <i>width value</i>, the height value is set for you." ) );
    textLabel1->setText( tr2i18n( "Im&age" ) );
    QToolTip::add( textLabel1, tr2i18n( "Input file" ) );
    QWhatsThis::add( textLabel1, tr2i18n( "The input image that is used for creating the puzzle. Images with<u> high contrast</u> and <u>thick contour lines</u> are best for the conversion." ) );
    createButton->setText( tr2i18n( "Create" ) );
    QToolTip::add( createButton, tr2i18n( "Create puzzle" ) );
    QWhatsThis::add( createButton, tr2i18n( "This button triggers the conversion and opens the created puzzle. It can only be used if <u>input file is set</u>. If the input file was not readable, the dialog remains open, but the button gets unusable again. You have to try another image then." ) );
    closeButton->setText( tr2i18n( "Close" ) );
    QWhatsThis::add( closeButton, tr2i18n( "This button closes the dialog without doing anything. No puzzle is created." ) );
}

void createDlg::createButton_check()
{
    qWarning( "createDlg::createButton_check(): Not implemented yet" );
}

void createDlg::create()
{
    qWarning( "createDlg::create(): Not implemented yet" );
}

void createDlg::createButton_clicked()
{
    qWarning( "createDlg::createButton_clicked(): Not implemented yet" );
}

#include "crtdlg.moc"
