/***************************************************************************
 *   Copyright (C) 2006 by Stefan Hirche   *
 *   hirche@astro.univie.ac.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "solutionform.h"
#include "myview.h"
#include <klocale.h>
#include <qlayout.h>
#include <qpushbutton.h>

solutionForm::solutionForm(QWidget *parent)
 : KDialog(parent)
{
setCaption(i18n("Solution"));

QVBoxLayout *mainLayout = new QVBoxLayout(this);
/*QHBoxLayout *buttonLayout = new QHBoxLayout(this);
QPushButton *closeButton = new QPushButton("Close",this);
QPushButton *editButton = new QPushButton("Edit",this);*/
view = new myview(this);

/*buttonLayout->addWidget(editButton);
buttonLayout->addStretch(1);
buttonLayout->addWidget(closeButton);
*/
mainLayout->addWidget(view);
//mainLayout->addLayout(buttonLayout);
view->show();
view->setXShift(10);
view->setYShift(10);
view->setCellWidth(10);
view->setCellHeight(10);
view->setXAdd(10);
view->setYAdd(10);

//connect (closeButton,SIGNAL(clicked()),this,SLOT(close()));
}


solutionForm::~solutionForm()
{
}




/*!
    \fn solutionForm::solutionView()
 */
myview* solutionForm::solutionView()
{
    return view;
}
